Bug 262889 - games/ezquake: fix build on arm
Summary: games/ezquake: fix build on arm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Many People
Assignee: Dave Cottlehuber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 15:00 UTC by VVD
Modified: 2022-05-17 00:58 UTC (History)
1 user (show)

See Also:
vvd: merge-quarterly?


Attachments
fix build on arm (1.20 KB, patch)
2022-03-28 15:00 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Dave Cottlehuber freebsd_committer 2022-04-04 12:47:34 UTC
ok 13.0-RELEASE arm64
ok amd64 from maintainer
Comment 2 commit-hook freebsd_committer 2022-04-04 12:52:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b7fb34791d44a5b8313444b01b758f9ef2e18b55

commit b7fb34791d44a5b8313444b01b758f9ef2e18b55
Author:     Dave Cottlehuber <dch@FreeBSD.org>
AuthorDate: 2022-04-04 12:50:50 +0000
Commit:     Dave Cottlehuber <dch@FreeBSD.org>
CommitDate: 2022-04-04 12:50:50 +0000

    games/ezquake: fix arm64 build failures

    PR:             262889
    Reported by:    pkg-fallout
    Approved by:    vvd@unislabs.com (maintainer)
    Sponsored by:   SkunkWerks, GmbH
    MFH:            2022Q2

 games/ezquake/Makefile           |  2 +-
 games/ezquake/files/patch-host.c | 17 ++++++++++++++---
 2 files changed, 15 insertions(+), 4 deletions(-)
Comment 3 VVD 2022-05-17 00:58:40 UTC
pkg-fallout spammed me every 2-3 days - commit this patch to quarterly plz.